### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
BlackConstantVol Class Reference

Constant Black volatility, no time-strike dependence. More...

`#include <ql/termstructures/volatility/equityfx/blackconstantvol.hpp>`

Inheritance diagram for BlackConstantVol:
[legend]

List of all members.

## Public Member Functions

| BlackConstantVol (const Date &referenceDate, const Calendar &, Volatility volatility, const DayCounter &dayCounter)
| BlackConstantVol (const Date &referenceDate, const Calendar &, const Handle< Quote > &volatility, const DayCounter &dayCounter)
| BlackConstantVol (Natural settlementDays, const Calendar &, Volatility volatility, const DayCounter &dayCounter)
| BlackConstantVol (Natural settlementDays, const Calendar &, const Handle< Quote > &volatility, const DayCounter &dayCounter)
TermStructure interface
Date | maxDate () const
| the latest date for which the curve can return values
VolatilityTermStructure interface
Real | minStrike () const
| the minimum strike for which the term structure can return vols
Real | maxStrike () const
| the maximum strike for which the term structure can return vols
Visitability
virtual void | accept (AcyclicVisitor &)

## Protected Member Functions

virtual Volatility | blackVolImpl (Time t, Real) const
| Black volatility calculation.

## Detailed Description

Constant Black volatility, no time-strike dependence.

This class implements the BlackVolatilityTermStructure interface for a constant Black volatility (no time/strike dependence).

Examples:
  ConvertibleBonds.cpp, DiscreteHedging.cpp, EquityOption.cpp, and Replication.cpp.